diff -Naur strace-4.4.92/ChangeLog strace-4.4.92-s390/ChangeLog
--- strace-4.4.92/ChangeLog	Tue Jan 14 11:10:22 2003
+++ strace-4.4.92-s390/ChangeLog	Wed Jan 15 14:43:07 2003
@@ -1,3 +1,8 @@
+2003-01-15  Michael Holzheu <holzheu@de.ibm.com>
+
+	* util.c: Fixed sys_clone() arg offsets (arg0_offset/arg1_offset) 
+	for s390(x): strace '-f' option works now for s390(x).
+
 2003-01-14  Roland McGrath  <roland@redhat.com>
 
 	* configure.ac, NEWS: Version 4.4.92.
diff -Naur strace-4.4.92/util.c strace-4.4.92-s390/util.c
--- strace-4.4.92/util.c	Tue Jan 14 10:59:01 2003
+++ strace-4.4.92-s390/util.c	Wed Jan 15 13:56:50 2003
@@ -1195,8 +1195,8 @@
 #else
 
 # if defined S390 || defined S390X
-#  define arg0_offset	PT_ORIGGPR2
-#  define arg1_offset	PT_GPR2
+#  define arg0_offset	PT_GPR3     /* Note: this is only true */
+#  define arg1_offset	PT_ORIGGPR2 /* for the clone() syscall */
 #  define restore_arg0(tcp, state, val) 0
 #  define restore_arg1(tcp, state, val) 0
 # elif defined (ALPHA) || defined (MIPS)
